# Uses of Interface
org.eclipse.jdt.launching.IVMRunner

Packages that use IVMRunner
Package
Description
org.eclipse.jdt.launching
Application programming interfaces for interaction with the Eclipse Java launching support.

## Uses of IVMRunner in org.eclipse.jdt.launching

Classes in org.eclipse.jdt.launching that implement IVMRunner
Modifier and Type
Class
Description
`class`
`AbstractVMRunner`
Abstract implementation of a VM runner.
Methods in org.eclipse.jdt.launching that return IVMRunner
Modifier and Type
Method
Description
`IVMRunner`
AbstractJavaLaunchConfigurationDelegate.`getVMRunner(ILaunchConfiguration configuration, String mode)`
Returns the VM runner for the given launch mode to use when launching the given configuration.
`IVMRunner`
AbstractVMInstall.`getVMRunner(String mode)`
`IVMRunner`
IVMInstall.`getVMRunner(String mode)`
Returns a VM runner that runs this installed VM in the given mode.